%define name libdv
%define version 0.5
%define release 2mdk

%define major 1
%define libname %name%{major}


Name: %name
Version: %version
Release: %release
License: GPL
Group: Video
Source: %name-%version.tar.bz2
URL: http://libdv.sourceforge.net/
BuildRoot: %_tmppath/%name-buildroot
Summary: libdv DV software codec


%description 
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

%package -n %{libname}-apps
Summary: Binaries from libdv
Group: Video
 
%description -n %{libname}-apps
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%package -n %{libname}
Summary: Libraries from libdv
Group: System/Libraries

%description -n %{libname}
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.

This is the libraries, include files and other resources you can use
to incorporate libdv into applications.

%package -n %{libname}-devel
Summary: Devel files from libdv
Group: Development/Other
Requires: %{libname} >= 0.5
Provides: libdv-devel
 
%description -n %{libname}-devel
The Quasar DV codec (libdv) is a software codec for DV video.  DV is
the encoding format used by most digital camcorders, typically those
that support the IEEE 1394 (aka FireWire or i.Link) interface.  libdv
was developed according to the official standards for DV video, IEC
61834 and SMPTE 314M.  See http://libdv.sourceforge.net/ for more.
  
This is the libraries, include files and other resources you can use
to incorporate libdv into applications.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -n libdv-0.5

%build
# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./bootstrap
fi

%configure --enable-shared

%make

%install

%makeinstall

mv $RPM_BUILD_ROOT%_includedir/libdv/* $RPM_BUILD_ROOT%_includedir/.

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}-apps
%defattr(-,root,root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%_bindir/*

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog COPYING README AUTHORS NEWS INSTALL TODO COPYRIGHT
%_includedir/*
%_libdir/lib*.a
%_libdir/*.so
%_libdir/*.la

%clean
rm -rf ${RPM_BUILD_ROOT}

%changelog
* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- move headers

* Thu Mar 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- new in contribs
- required for kino

